module adj_mod
contains
  subroutine adjnull(       adj, add, x, y)
    logical, intent (in) :: adj, add
    real, dimension (:)  :: x, y
    if( .not. add) then 
       if( adj) then
          x = 0.
       else 		    
          y = 0.
       end if
    end if
  end subroutine adjnull
end module adj_mod
